Results 1 to 4 of 4

Thread: Just upgraded and am getting this error

  1. #1
    Senior Member
    Join Date
    Oct 2005
    Posts
    186

    Default Just upgraded and am getting this error

    This is happening for one of my pages... not the main index page, but one of the sub pages. I've disabled custom modules.
    Code:
    Database error in vBulletin 3.6.8:
    
    Invalid SQL:
    
    				SELECT
    				
    				thread.threadid, thread.title, thread.replycount, postusername, postuserid, thread.dateline AS postdateline, IF(views <= thread.replycount, thread.replycount+1, views) AS views, thread.lastposter, thread.lastpost, pollid, thread.forumid
    				, NOT ISNULL(subscribethread.subscribethreadid) AS subscribed, post.pagetext AS preview
    				FROM thread as thread
    				 LEFT JOIN post AS post ON (post.postid = thread.firstpostid) LEFT JOIN subscribethread AS subscribethread ON (subscribethread.threadid = thread.threadid AND subscribethread.userid = 1)
    				WHERE open != 10 AND thread.visible = 1
    				
    				
    				AND thread.forumid IN(Array)
    				
    				ORDER BY lastpost DESC
    				LIMIT 10;
    
    MySQL Error  : Unknown column 'Array' in 'where clause'
    Error Number : 1054
    Last edited by ludachris; 10-18-2007 at 06:04 PM.

  2. #2
    Senior Member
    Join Date
    Oct 2005
    Posts
    186

    Default Re: Just upgraded and am getting this error

    Actually, I found the module that was breaking it. Thing is, in the diagnostics tool it shows the file as being okay. ????

  3. #3
    Senior Member
    Join Date
    Oct 2005
    Posts
    186

    Default Re: Just upgraded and am getting this error

    Got it fixed, but still strange that the diagnostics showed the file as okay.

  4. #4
    Administrator Brian's Avatar
    Join Date
    Jan 2004
    Location
    Georgia, USA
    Posts
    34,460

    Default Re: Just upgraded and am getting this error

    Was this from the default recent threads module? Was it a copy, or was there anything else unusual about it?

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. upgraded and now get Database error plz help
    By Essex-Poker.co.uk in forum Troubleshooting & Problems
    Replies: 2
    Last Post: 05-31-2007, 02:17 AM
  2. Upgraded to 3.5 - get fatal error message
    By HormZ in forum Troubleshooting & Problems
    Replies: 1
    Last Post: 10-21-2005, 10:09 AM
  3. I upgraded but got this error
    By threatrr in forum Troubleshooting & Problems
    Replies: 2
    Last Post: 09-18-2005, 09:16 AM
  4. Upgraded vB, error in vBa
    By Caiman in forum Troubleshooting & Problems
    Replies: 8
    Last Post: 08-05-2005, 03:20 PM
  5. Upgraded VB and vBa, error on main page
    By vtrac in forum Troubleshooting & Problems
    Replies: 2
    Last Post: 07-31-2005, 03:13 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •